import * as ec2 from '@aws-cdk/aws-ec2';
/**
 * @stability stable
 */
export declare enum AmiOSType {
    /**
     * Ubuntu 16.04 AMD64 ami.
     *
     * @stability stable
     */
    UBUNTU_16_04_AMD64 = "UBUNTU_16_04_AMD64",
    /**
     * Ubuntu 16.04 ARM64 ami.
     *
     * @stability stable
     */
    UBUNTU_16_04_ARM64 = "UBUNTU_16_04_ARM64",
    /**
     * Ubuntu 18.04 AMD64 ami.
     *
     * @stability stable
     */
    UBUNTU_18_04_AMD64 = "UBUNTU_18_04_AMD64",
    /**
     * Ubuntu 18.04 ARM64 ami.
     *
     * @stability stable
     */
    UBUNTU_18_04_ARM64 = "UBUNTU_18_04_ARM64",
    /**
     * Ubuntu 20.04 AMD64 ami.
     *
     * @stability stable
     */
    UBUNTU_20_04_AMD64 = "UBUNTU_20_04_AMD64",
    /**
     * Ubuntu 20.04 ARM64 ami.
     *
     * @stability stable
     */
    UBUNTU_20_04_ARM64 = "UBUNTU_20_04_ARM64",
    /**
     * Ubuntu 20.10 AMD64 ami.
     *
     * @stability stable
     */
    UBUNTU_20_10_AMD64 = "UBUNTU_20_10_AMD64",
    /**
     * Ubuntu 20.10 ARM64 ami.
     *
     * @stability stable
     */
    UBUNTU_20_10_ARM64 = "UBUNTU_20_10_ARM64",
    /**
     * CentOS 7 ami.
     *
     * @stability stable
     */
    CENTOS_7 = "CENTOS_7",
    /**
     * CentOS 8 ami.
     *
     * @stability stable
     */
    CENTOS_8 = "CENTOS_8",
    /**
     * Amazon Linux 2 ami.
     *
     * @stability stable
     */
    AMAZON_LINUX_2 = "AMAZON_LINUX_2",
    /**
     * Amazon Linux  ami.
     *
     * @stability stable
     */
    AMAZON_LINUX = "AMAZON_LINUX"
}
export declare function amiFinder(amiostype: AmiOSType): ec2.IMachineImage;
